package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcSite;
import org.dromara.system.domain.vo.TblDzbcSiteVo;
import org.dromara.system.domain.bo.TblDzbcSiteBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 定制班车-站点Service接口
 *
 * @author Lion Li
 * @date 2025-02-12
 */
public interface ITblDzbcSiteService {

    /**
     * 查询定制班车-站点
     */
    TblDzbcSiteVo queryById(Long id);

    /**
     * 查询定制班车-站点列表
     */
    TableDataInfo<TblDzbcSiteVo> queryPageList(TblDzbcSiteBo bo, PageQuery pageQuery);

    /**
     * 查询定制班车-站点列表
     */
    List<TblDzbcSiteVo> queryList(TblDzbcSiteBo bo);

    /**
     * 新增定制班车-站点
     */
    Boolean insertByBo(TblDzbcSiteBo bo);

    /**
     * 修改定制班车-站点
     */
    Boolean updateByBo(TblDzbcSiteBo bo);

    /**
     * 校验并批量删除定制班车-站点信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
